org.apache.cassandra.cql3.hooks

## Interface PostExecutionHook

    public interface PostExecutionHook

Run after the CQL Statement is executed in `QueryProcessor`.

### Method Summary

Methods
`void` `processBatch(BatchStatement batch, BatchExecutionContext context)` Perform post-processing on a CQL batch directly after it being executed by the QueryProcessor.
`void` `processStatement(CQLStatement statement, ExecutionContext context)` Perform post-processing on a CQL statement directly after it being executed by the QueryProcessor.

### Method Detail

#### processStatement

    void processStatement(CQLStatement statement,
                        ExecutionContext context)
                          throws RequestExecutionException,
                                 RequestValidationException

Perform post-processing on a CQL statement directly after it being executed by the QueryProcessor.

Parameters:
  `statement` - the statement to perform post-processing on
  `context` - execution context containing additional info about the operation and statement
Throws:
  `RequestExecutionException,` - RequestValidationException
  `RequestExecutionException`
  `RequestValidationException`

#### processBatch

    void processBatch(BatchStatement batch,
                    BatchExecutionContext context)
                      throws RequestExecutionException,
                             RequestValidationException

Perform post-processing on a CQL batch directly after it being executed by the QueryProcessor.

Parameters:
  `batch` - the CQL batch to perform post-processing on
  `context` - execution context containing additional info about the operation and batch
Throws:
  `RequestExecutionException,` - RequestValidationException
  `RequestExecutionException`
  `RequestValidationException`